math/isl - The NetBSD Packages Collection

Integer set library required by gcc graphite

isl is a library for manipulating sets and relations of integer
points bounded by linear constraints. Supported operations on sets
include intersection, union, set difference, emptiness check, convex
hull, (integer) affine hull, integer projection, and computing the
lexicographic minimum using parametric integer programming. It also
includes an ILP solver based on generalized basis reduction.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

devel/gmp devel/gmp

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfisl-0.17.1.tgz
NetBSD 8.0earmv7hfisl-0.17.1.tgz
NetBSD 8.0earmv7hfisl-0.17.1.tgz
NetBSD 8.0i386isl-0.17.1.tgz
NetBSD 8.0i386isl-0.17.1.tgz
NetBSD 8.0i386isl-0.17.1.tgz
NetBSD 8.0powerpcisl-0.17.1.tgz
NetBSD 8.0powerpcisl-0.17.1.tgz
NetBSD 8.0powerpcisl-0.17.1.tgz
NetBSD 8.0powerpcisl-0.17.1.tgz
NetBSD 8.0x86_64isl-0.17.1.tgz
NetBSD 8.0x86_64isl-0.17.1.tgz
NetBSD 8.0x86_64isl-0.17.1.tgz
NetBSD 9.0aarch64isl-0.17.1.tgz
NetBSD 9.0aarch64isl-0.17.1.tgz
NetBSD 9.0aarch64isl-0.17.1.tgz
NetBSD 9.0alphaisl-0.17.1.tgz
NetBSD 9.0alphaisl-0.17.1.tgz
NetBSD 9.0alphaisl-0.17.1.tgz
NetBSD 9.0earmisl-0.17.1.tgz
NetBSD 9.0earmisl-0.17.1.tgz
NetBSD 9.0earmisl-0.17.1.tgz
NetBSD 9.0earmv6hfisl-0.17.1.tgz
NetBSD 9.0earmv6hfisl-0.17.1.tgz
NetBSD 9.0earmv6hfisl-0.17.1.tgz
NetBSD 9.0earmv6hfisl-0.17.1.tgz
NetBSD 9.0earmv7hfisl-0.17.1.tgz
NetBSD 9.0earmv7hfisl-0.17.1.tgz
NetBSD 9.0earmv7hfisl-0.17.1.tgz
NetBSD 9.0earmv7hfisl-0.17.1.tgz
NetBSD 9.0earmv7hfisl-0.17.1.tgz
NetBSD 9.0i386isl-0.17.1.tgz
NetBSD 9.0i386isl-0.17.1.tgz
NetBSD 9.0i386isl-0.17.1.tgz
NetBSD 9.0mips64ebisl-0.17.1.tgz
NetBSD 9.0mips64ebisl-0.17.1.tgz
NetBSD 9.0mips64ebisl-0.17.1.tgz
NetBSD 9.0mipselisl-0.17.1.tgz
NetBSD 9.0mipselisl-0.17.1.tgz
NetBSD 9.0powerpcisl-0.17.1.tgz
NetBSD 9.0powerpcisl-0.17.1.tgz
NetBSD 9.0powerpcisl-0.17.1.tgz
NetBSD 9.0powerpcisl-0.17.1.tgz
NetBSD 9.0sh3elisl-0.17.1.tgz
NetBSD 9.0sh3elisl-0.17.1.tgz
NetBSD 9.0sparc64isl-0.17.1.tgz
NetBSD 9.0sparc64isl-0.17.1.tgz
NetBSD 9.0sparc64isl-0.17.1.tgz
NetBSD 9.0sparc64isl-0.17.1.tgz
NetBSD 9.0sparcisl-0.17.1.tgz
NetBSD 9.0sparcisl-0.17.1.tgz
NetBSD 9.0sparcisl-0.17.1.tgz
NetBSD 9.0vaxisl-0.17.1.tgz
NetBSD 9.0vaxisl-0.17.1.tgz
NetBSD 9.0x86_64isl-0.17.1.tgz
NetBSD 9.0x86_64isl-0.17.1.tgz
NetBSD 9.0x86_64isl-0.17.1.tgz
NetBSD 9.0x86_64isl-0.17.1.tgz
NetBSD 9.0x86_64isl-0.17.1.tgz
NetBSD 9.0x86_64isl-0.17.1.tgz
NetBSD 9.0x86_64isl-0.17.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.